controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\filters\VerbFilter;
use yii\web\NotFoundHttpException;
use app\models\LoginForm;
use app\models\ContactForm;
use app\models\Usuario;
use app\models\Areaaccionunidadesponsable;

class SiteController extends Controller
{
    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * @inheritdoc
     */
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex()
    {
        if (Yii::$app->user->isGuest) {
            return $this->actionLogin();
        }else {

          if (Yii::$app->user->identity->rol=="SUPERVISOR"){
              $Areaaccionunidadesponsable=Areaaccionunidadesponsable::find()
              ->where(['id_usuario' => Yii::$app->user->identity->id])->count();

              if ($Areaaccionunidadesponsable<=0) {
                echo $Areaaccionunidadesponsable;
                $this->layout = 'pdf/pdf';
                return $this->redirect('index.php?r=unidadresponsable/regdependencia');
              }else{

                return $this->render('supervisor');
              }
          }else{
              return $this->render('index');
          }
          //  return $this->render('index');
        }
       // return $this->render('index');
    }

    public function actionReport($idcalle)
    {
        //echo $idcalle;
        //Yii::$app->response->format = 'pdf';

        Yii::$app->response->format = 'pdf';

        //Can you it if needed to rotate the page

        $this->layout = 'pdf/pdf';

        return $this->render('planilla', [
            'idcalle' => $idcalle,
        ]);
    }



    public function actionResumencomunidad($idcomunidad,$comunidad)
    {
        //echo $idcalle;
        return $this->render('resumencomunidad', [
            'idcomunidad' => $idcomunidad,
            'comunidad'=> $comunidad,
        ]);
    }
    public function actionResumencomunidadpdf($idcomunidad,$comunidad)
    {
        //echo $idcalle;
        Yii::$app->response->format = 'pdf';

        //Can you it if needed to rotate the page

        $this->layout = 'pdf/pdf';
        return $this->render('resumencomunidadpdf', [
            'idcomunidad' => $idcomunidad,
            'comunidad'=> $comunidad,
        ]);
    }

    /**
     * Login action.
     *
     * @return string
     */
    public function actionLogin()
    {
        if (!Yii::$app->user->isGuest) {

            return $this->goHome();

        }

        $model = new LoginForm();
        if ($model->load(Yii::$app->request->post()) && $model->login()) {
            return $this->goBack();
        }
        return $this->render('login', [
            'model' => $model,
        ]);
    }

/*    public function actionActivar()
    {
      $model = new Usuario();
      if ($model->load(Yii::$app->request->post()) ) {
          $model2 =  Usuario::find()->where(['ci_tecnico'=>$model->cedula])->one();

      if ($model2) {
        echo $model2->nombre;

        //return Yii::$app->response->redirect(['/usuario/activa', 'id' => $model2->id])->send();

        // return $this->redirect(\Yii::$app->urlManager->createUrl("usuario/activador"));

        # code...
        return $this->render('/usuario/activador', [
            'id' => $model2->id,
        ]);
      }


      } else {
          return $this->render('_form_cuenta', [
              'model' => $model,
          ]);
      }
    }*/

    /**
     * Logout action.
     *
     * @return string
     */
    public function actionLogout()
    {
        Yii::$app->user->logout();

        return $this->goHome();
    }

    /**
     * Displays contact page.
     *
     * @return string
     */
    public function actionContact()
    {
        $model = new ContactForm();
        if ($model->load(Yii::$app->request->post()) && $model->contact(Yii::$app->params['adminEmail'])) {
            Yii::$app->session->setFlash('contactFormSubmitted');

            return $this->refresh();
        }
        return $this->render('contact', [
            'model' => $model,
        ]);
    }

    /**
     * Displays about page.
     *
     * @return string
     */
    public function actionAbout()
    {
        return $this->render('about');
    }
}

views/site/_form_cuenta.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Areaccion */
/* @var $form yii\widgets\ActiveForm */
$jsc = <<< JS

$(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();

$("#texto").fadeIn(3000);
//$("#texto").fadeOut(3000);
});



JS;

$this->registerJs($jsc, $this::POS_END);

$this->title = 'Activar Cuenta de Usuario';

?>

<div id="texto" class="areaccion-form form">




  <h3 class="modal-header-danger"><?= Html::encode($this->title) ?></h3>

    <?php $form = ActiveForm::begin(); ?>
    <?= Html::activeLabel($model, 'cedula', ['class' => ''])?>
    <span  class="badge2 " data-toggle="tooltip" data-placement="right"
    title="DEBE INGRESAR SU CÉDULA DE IDENTIDAD, SI NO EXISTE SU NÚMERO DE CÉDULA DE IDENTIDAD, POR FAVOR COMUNIQUESE CON LA UNIDAD DE SISTEMAS.">
    ?
    </span>
    <?= $form->field($model, 'cedula')->textInput()->label(false) ?>

    <div class="form-group">

        <?= Html::submitButton($model->isNewRecord ? 'Registrar' : 'Actualizar', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
    </div>

    <?php ActiveForm::end(); ?>

    <div id="message">

          
             <?php if (Yii::$app->session->hasFlash('error')): ?>
              <div class="alert alert-danger alert-dismissable">
                  <button aria-hidden="true" data-dismiss="alert" class="close" type="button">×</button>
                      <h4><i class="glyphicon glyphicon-remove-sign"></i>Error! </h4>
                      <?= Yii::$app->session->getFlash('error') ?>
              </div>
            <?php endif; ?>

          </div>


</div>

views/site/about.php
<?php

/* @var $this yii\web\View */

use yii\helpers\Html;

$this->title = 'About';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-about">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        This is the About page. You may modify the following file to customize its content:
    </p>

    <code><?= __FILE__ ?></code>
</div>

views/site/activarcuenta.php
<?php

use yii\helpers\Html;


/* @var $this yii\web\View */
/* @var $model app\models\Usuario */

$this->title = 'Activar Cuenta de Usuario';
$this->params['breadcrumbs'][] = ['label' => 'Usuarios', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="usuario-create">

   <h3 class="modal-header-danger"><?= Html::encode($this->title) ?></h3>

    <?= $this->render('_form_cuenta', [
        'model' => $model,
    ]) ?>

</div>

views/site/contact.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model app\models\ContactForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;
use yii\captcha\Captcha;

$this->title = 'Contact';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-contact">
    <h1><?= Html::encode($this->title) ?></h1>

    <?php if (Yii::$app->session->hasFlash('contactFormSubmitted')): ?>

        <div class="alert alert-success">
            Thank you for contacting us. We will respond to you as soon as possible.
        </div>

        <p>
            Note that if you turn on the Yii debugger, you should be able
            to view the mail message on the mail panel of the debugger.
            <?php if (Yii::$app->mailer->useFileTransport): ?>
                Because the application is in development mode, the email is not sent but saved as
                a file under <code><?= Yii::getAlias(Yii::$app->mailer->fileTransportPath) ?></code>.
                Please configure the <code>useFileTransport</code> property of the <code>mail</code>
                application component to be false to enable email sending.
            <?php endif; ?>
        </p>

    <?php else: ?>

        <p>
            If you have business inquiries or other questions, please fill out the following form to contact us.
            Thank you.
        </p>

        <div class="row">
            <div class="col-lg-5">

                <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>

                    <?= $form->field($model, 'name')->textInput(['autofocus' => true]) ?>

                    <?= $form->field($model, 'email') ?>

                    <?= $form->field($model, 'subject') ?>

                    <?= $form->field($model, 'body')->textarea(['rows' => 6]) ?>

                    <?= $form->field($model, 'verifyCode')->widget(Captcha::className(), [
                        'template' => '<div class="row"><div class="col-lg-3">{image}</div><div class="col-lg-6">{input}</div></div>',
                    ]) ?>

                    <div class="form-group">
                        <?= Html::submitButton('Submit', ['class' => 'btn btn-primary', 'name' => 'contact-button']) ?>
                    </div>

                <?php ActiveForm::end(); ?>

            </div>
        </div>

    <?php endif; ?>
</div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h3 class="modal-header-danger"><?= Html::encode($this->title) ?></h3>

    

    <div class="alert alert-danger ">
       <i class="glyphicon glyphicon-remove-sign"></i> <?= nl2br(Html::encode($message)) ?>
    </div>

    

</div>

views/site/index.php
<?php

//use Yii;
/* @var $this yii\web\View */
use yii\helpers\Html;
use yii\helpers\ArrayHelper;
use yii\bootstrap\Modal;

use app\models\Avance;
use app\models\Poa;
use app\models\Dtpoa;
use app\models\Unidadmedida;
use app\models\Unidadresponsable;
use app\models\Areaccion;

use app\models\Areaaccionunidadesponsable;

$this->title = 'PLAN INTEGRAL DE DESARROLLO INSTITUCIONAL POLÍTICO ACADÉMICO DE LA UPTBAL';



?>

    <div class="site-index">

        <div class="jumbotron">

            <table class="table table-striped">
                <tr>
                    <td colspan="6" class="danger text-danger">
                        <strong>   RESUMEN DE LA PLANIFICACION </strong>
                    </td>
                </tr>

                <tr class="text-danger">
                    <td  >
                        <strong>    UNIDAD RESPONSABLE</strong>
                    </td>
                    <td  >
                        <strong>    N° DE ACTIVIDADES </strong>
                    </td>
                    <td  >
                        <strong>    N° DE ACT. INFORME INSTITUCIONAL</strong>
                    </td>

                </tr>
                <?php

                  $Unidadresponsable = Unidadresponsable::find()->all();

                  foreach($Unidadresponsable as $key => $value) {

                    echo "<tr>";

                        echo "<td>". Html::a(strtoupper($value->descripcion), ['report/informef', 'id' => $value->idunidadresponsble], ['class' => 'label label-success', 'target'=>$value->idunidadresponsble])."</td>";


                        $Dtpoa = Dtpoa::find()->joinWith('idPoa.idUnidad')->where(['id_unidad' => $value->idunidadresponsble])->count();
                         echo "<td ><span class='badge'>". number_format($Dtpoa, 0, ",", ".") ."</span></td>";

                         $DtpoaMC = Dtpoa::find()->joinWith('idPoa.idUnidad')->where(['id_unidad' => $value->idunidadresponsble,'informe_gestion'=>'SI'])->count();
                         echo "<td ><span class='badge'>". number_format($DtpoaMC, 0, ",", ".") ."</span></td>";

                         // $meta_anual = Dtpoa::find()->joinWith('idPoa.idUnidad')->where(['id_unidad' => $value->idunidadresponsble])->SUM('meta_anual');
                         // echo "<td ><span class='badge'>". number_format($meta_anual, 0, ",", ".") ."</span></td>";
                         //
                         // $Avance = Avance::find()->joinWith('idDtpoa.idPoa.idUnidad')->where(['id_unidad' => $value->idunidadresponsble])->SUM('valor');
                         // echo "<td ><span class='badge'>". number_format($Avance, 0, ",", ".") ."</span></td>";
                         //
                         //
                         //    if ($Avance=="") {
                         //     $Avance="0";
                         //                       }
                         //    if ($meta_anual=="") {
                         //                         $meta_anual="0";
                         //                       }
                         //    if ($Avance!=0 AND $meta_anual!=0) {
                         //                         $efectividad=$Avance/$meta_anual*100;
                         //                       }else{
                         //      $efectividad="0";
                         //    }
                         //
                         //
                         // echo "<td ><span class='badge'>". number_format($efectividad, 2, ",", ".")."%</span></td>";


                    echo "</tr>";

                  }

                ?>



            </table>





        </div>

</div>

views/site/login.php
<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model app\models\LoginForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

$this->title = 'Iniciar Sesión';

?>
<div class="site-login " align="center">

        <div class="col-md-12 " align="center">
            <div class="panel panel-default " align="center">
                <div class=" user" align="center">
                    <h3 class="panel-title">
                    <i class="glyphicon glyphicon-user"></i>
                    <?= Html::encode($this->title) ?></h3>
                </div>
                <div class="panel-body " align="center">
                     <p>Debe ingresar su Usuario y Contraseña para Acceder al Sistema...</p>

                     <div align="center" >
                    <?php $form = ActiveForm::begin([
                        'id' => 'login-form',
                        'layout' => 'horizontal',
                        'fieldConfig' => [
                            'template' => "{label}\n<div class=\"col-lg-5\">{input}</div>\n<div class=\"col-lg-9\">{error}</div>",
                            'labelOptions' => ['class' => 'col-lg-4 control-label'],
                        ],
                    ]); ?>

                        <?= $form->field($model, 'username')->textInput(['autofocus' => true]) ?>

                        <?= $form->field($model, 'password')->passwordInput() ?>

                        <?= $form->field($model, 'rememberMe')->checkbox([
                            'template' => "<div class=\"col-lg-offset-4 col-lg-3\">{input} {label}</div>\n<div class=\"col-lg-8\">{error}</div>",
                        ]) ?>
                        </div>
                        <div class="form-group">
                            <div class="col-lg-offset-1 col-lg-11">
                                <?= Html::submitButton('Aceptar', ['class' => 'btn btn-primary', 'name' => 'login-button']) ?>


                            </div>


                        </div>

                    <?php ActiveForm::end(); ?>
                </div>

                <!-- <div class="col-lg-offset-1 col-lg-11">
                  </br>
                    <?php //= //Html::a('REGISTRAR CUENTA DE USUARIO', ['site/activar', ], ['class' => 'btn btn-success']) ?>

                </div> -->
            </div>
        </div>

</div>

views/site/supervisor.php
<?php

//use Yii;
/* @var $this yii\web\View */
use yii\helpers\Html;
use yii\helpers\ArrayHelper;
use yii\bootstrap\Modal;

use app\models\Avance;
use app\models\Poa;
use app\models\Dtpoa;
use app\models\Unidadmedida;
use app\models\Unidadresponsable;
use app\models\Areaccion;

use app\models\Areaaccionunidadesponsable;

$this->title = 'PLAN INTEGRAL DE DESARROLLO INSTITUCIONAL POLÍTICO ACADÉMICO DE LA UPTBAL';

$Dependencia=Areaaccionunidadesponsable::find()->where(['id_usuario' => Yii::$app->user->identity->id])->all();

$jsc = <<< JS

$(document).ready(function(){
    $('[data-toggle="tooltip"]').tooltip();
});
JS;

$this->registerJs($jsc, $this::POS_END);

?>

    <div class="site-index">

        <div class="jumbotron">



<?php   foreach($Dependencia as $key => $Dependencia) {

              $Poa=Poa::find()->where(['id_unidad' => $Dependencia->id_unidadresponsble])->all();

  ?>
            <table class="table table-striped">
                <tr>
                    <td colspan="3" class="danger text-danger">
                        <strong>  <h4>

                        <?= Html::a(strtoupper($Dependencia->unidadnombre), ['report/informef', 'id' => $Dependencia->id_unidadresponsble],
                          ['class' => 'danger text-danger', 'target'=>$Dependencia->id_unidadresponsble,
                          'data-toggle' => 'tooltip',
                          'data-placement' => 'top',
                          'title' => 'CLICK PARA VER DETALLE DEL PLAN',])?></strong>
                          </h4>
                    </td>
                </tr>



                <?php  foreach($Poa as $key => $Poa) {

                  $Dtpoa=Dtpoa::find()->where(['id_poa' => $Poa->idpoa])->all();


                  ?>
                  <tr class="success text-success">
                      <td  >
                          <strong>   AÑO</strong>
                      </td>

                      <td  >
                          <strong>    PROYECTO </strong>
                      </td>
                      <td  >
                          <strong>    OBJETIVO DEL PROYECTO </strong>
                      </td>

                  </tr>
                  <tr >
                      <td  >
                          <strong>   <?= strtoupper($Poa->ano) ?></strong>
                      </td>

                      <td  >
                          <strong>    <?= strtoupper($Poa->proyecto) ?> </strong>
                      </td>
                      <td  >
                          <strong>    <?= strtoupper($Poa->objetivo_proyecto) ?> </strong>
                      </td>

                  </tr>



            <!-- </table>

            <table class="table table-striped">
                 -->
                 <tr>
                    <td colspan="3" class="success text-success">
                        <strong>  <h4>RESUMEN</h4> </strong>
                    </td>
                </tr>


                <tr >
                      <td colspan="3"  >
                          <table class="table table-striped">
                            <tr>
                             <td  class="text-success">
                                 <strong>  &nbsp; </strong>
                             </td><td  class="text-success">
                                 <strong>  ACCION </strong>
                             </td>
                             <td  class="text-success">
                                 <strong>    UNIDAD DE MEDIDA </strong>
                             </td>

                             <td class="text-success" >
                                 <strong>    META ANUAL </strong>
                             </td>
                             <td class="text-success" >
                                 <strong>    AVANCE </strong>
                             </td>
                             <td class="text-success" >
                                 <strong>    EFECTIVIDAD </strong>
                             </td>
                             </tr>
                             <?php  foreach($Dtpoa as $key => $Dtpoa) {

                               $meta_anual=$Dtpoa->meta_anual;

                               $Avance = Avance::find()->where(['id_dtpoa' => $Dtpoa->iddtpoa])
                               ->SUM('valor');

                               if ($Avance=="") {
                                $Avance="0";
                                                  }
                               if ($meta_anual=="") {
                                                    $meta_anual="0";
                                                  }
                               if ($Avance!=0 AND $meta_anual!=0) {
                                                    $efectividad=$Avance/$meta_anual*100;
                                                  }else{
                                 $efectividad="0";
                               }

                               ?>
           <tr class="text-default">
            <td  >

                  <?= Html::a('&nbsp;<strong><i class="glyphicon glyphicon-hand-up"></i></strong>&nbsp;',
                  ['avance/create2', 'iddtpoa' => $Dtpoa->iddtpoa],
                  ['class' => 'label label-warning',
                  'data-toggle' => 'tooltip',
                  'data-placement' => 'top',
                  'title' => 'REGISTRAR AVANCES',]) ?>

            </td>
            <td  >
                  <?= strtoupper($Dtpoa->actividad) ?>

            </td>
            <td  >
                  <?= strtoupper($Dtpoa->idUnidadMedida->descripcion) ?>



            </td>

            <td  >
                <span class="badge"><strong>   <?= number_format($meta_anual, 0, ",", ".") ?> </strong></span>
            </td>
            <td  >

                <span class="badge"><strong>     <?= number_format($Avance, 0, ",", ".") ?>
                </strong></span>
            </td>
            <td  >
              <span class="badge"><strong>     <?= number_format($efectividad, 0, ",", ".") ?>%
              </strong></span>
            </td>
            </tr>
                                <?php  }     ?>
                           </table>
                      </td>
               </tr>
             <?php  }
               ?>
            </table>
<?php  }
  ?>




        </div>

</div>